routes/web.php
<?php

use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::prefix('admin')->group(function () {
    Route::get('/', function () {
        return view('admin.home');
    })->name('admin_home');
    Route::resource('products', ProductController::class);
    Route::resource('categories', CategoryController::class);
    Route::resource('users', UserController::class);
});

app/Models/User.php
<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use App\Http\Requests\UserRequest;
use App\Models\User;
use Illuminate\Http\Request;

class UserController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $users = User::paginate(5);

        return view('admin.user.index', ['users' => $users]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('admin.user.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(UserRequest $request)
    {
        //
        $input = $request->all();
        $input['password'] = bcrypt($input['password']);
        $user = User::create($input);
        $user ? session()->flash('message', 'Create successfully !')
            : session()->flash('message', 'Create Failed !');

        return view('admin.user.create');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
        $user = User::find($id);

        return view('admin.user.edit', ['user' => $user]);
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
        $user = User::find($id);
        $user->role = $request->role;
        $user->save();
        $user ? session()->flash('message', 'Update successfully !')
            : session()->flash('message', 'Update Failed !');

        return redirect('admin/users');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
        $user = User::findOrFail($id)->delete();
        $user ? session()->flash('message', 'Delete successfully !')
            : session()->flash('message', 'Delete Failed !');

        return redirect('admin/users');
    }
}

resources/views/admin/user/create.blade.php
@extends('admin.home')
@section('content')

<div class="col-md-12">
  <div class="card mb-4">
    <h5 class="card-header">Create User</h5>
    @if (Session::has('message'))
    <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
    @endif
    @if ($errors->any())
    <div class="alert alert-danger m-6">
      <ul class="list-unstyled">
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
    <div class="card-body">
      <form action="{{route('users.store')}}" method="post">
        @csrf
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Name</label>
          <input id="defaultInput" class="form-control" type="text" placeholder="Name ..." name="name" />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Email</label>
          <input id="defaultInput" class="form-control" type="email" placeholder="Email ..." name="email" />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Password</label>
          <input id="defaultInput" class="form-control" type="password" placeholder="Password ..."
            name="password" />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Confirm Password</label>
          <input id="defaultInput" class="form-control" type="password" placeholder="Confirm Password ..."
            name="c_password" />
        </div>
        <button class="btn btn-primary" type="submit">Create</button>
      </form>
    </div>
  </div>
</div>
@endsection

resources/views/admin/user/edit.blade.php
@extends('admin.home')
@section('content')

<div class="col-md-12">
  <div class="card mb-4">
    <h5 class="card-header">Update User</h5>
    @if (Session::has('message'))
    <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
    @endif
    @if ($errors->any())
    <div class="alert alert-danger m-6">
      <ul class="list-unstyled">
        @foreach ($errors->all() as $error)
        <li>{{ $error }}</li>
        @endforeach
      </ul>
    </div>
    @endif
    <div class="card-body">
      <form action="{{route('users.update', $user->id)}}" method="post">
        @csrf
        @method('patch')
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Name</label>
          <input id="defaultInput" class="form-control" type="text" placeholder="Name ..." value="{{$user->name}}"
            readonly />
        </div>
        <div class="mb-3">
          <label for="defaultInput" class="form-label">Email</label>
          <input id="defaultInput" class="form-control" type="email" placeholder="Email ..." value="{{$user->email}}"
            readonly />
        </div>
        <div class="mb-3">
          <label for="defaultSelect" class="form-label">Role</label>
          <select id="defaultSelect" class="form-select" name="role">
            <option value="0">User</option>
            <option value="1">Admin</option>
            <option value="2">Super User</option>
          </select>
        </div>
        <button class="btn btn-primary" type="submit">Update</button>
      </form>
    </div>
  </div>
</div>
@endsection

resources/views/admin/user/index.blade.php
@extends('admin.home')
@section('content')
<!-- Basic Bootstrap Table -->
<div class="card">
  <h5 class="card-header">Users</h5>
  @if (Session::has('message'))
  <div class="alert alert-primary m-3">{{ Session::get('message') }}</div>
  @endif
  <div class="table-responsive">
    <table class="table">
      <thead>
        <tr>
          <th>Name</th>
          <th>Email</th>
          <th>Role</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody class="table-border-bottom-0">
        @foreach ($users as $user)
        <tr>
          <td><i class="fab fa-angular fa-lg text-danger me-3"></i> <strong>{{ $user->name}}</strong></td>
          <td>{{ $user->email}}</td>
          <td>{{ $user->role}}</td>
          <td>
            <div style="display: flex; justify-content: center;">
              <a href="{{ route('users.show', $user->id) }}">
                <div class="btn btn-info">Edit</div>
              </a>
              <form method="post" action="{{ route('users.destroy', $user->id) }}">
                @method('delete')
                @csrf
                <button onclick="return confirm('Are you sure?')" type="submit" class="btn btn-danger">Delete</button>
              </form>
            </div>
          </td>
        </tr>
        @endforeach
      </tbody>
    </table>
    {!! $users->withQueryString()->links('pagination::bootstrap-5') !!}
  </div>
</div>
<!--/ Basic Bootstrap Table -->
@endsection
<style>
  tr>th,
  td {
    text-align: center;
  }
</style>